package com.ruoyi.powerdistribution.service;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmExamineRequire;

/**
 * 时户数要求
Service接口
 * 
 * @author ruoyi
 * @date 2025-01-02
 */
public interface IPdmExamineRequireService 
{
    /**
     * 查询时户数要求

     * 
     * @param id 时户数要求
主键
     * @return 时户数要求

     */
    public PdmExamineRequire selectPdmExamineRequireById(Long id);

    /**
     * 查询时户数要求
列表
     * 
     * @param pdmExamineRequire 时户数要求

     * @return 时户数要求
集合
     */
    public List<PdmExamineRequire> selectPdmExamineRequireList(PdmExamineRequire pdmExamineRequire);

    /**
     * 新增时户数要求

     * 
     * @param pdmExamineRequire 时户数要求

     * @return 结果
     */
    public int insertPdmExamineRequire(PdmExamineRequire pdmExamineRequire);

    /**
     * 修改时户数要求

     * 
     * @param pdmExamineRequire 时户数要求

     * @return 结果
     */
    public int updatePdmExamineRequire(PdmExamineRequire pdmExamineRequire);

    /**
     * 批量删除时户数要求

     * 
     * @param ids 需要删除的时户数要求
主键集合
     * @return 结果
     */
    public int deletePdmExamineRequireByIds(Long[] ids);

    /**
     * 删除时户数要求
信息
     * 
     * @param id 时户数要求
主键
     * @return 结果
     */
    public int deletePdmExamineRequireById(Long id);

    /**
     * 返回树形结构
     * @return
     */
    public List<PdmExamineRequire> selectExamineRequireTree();
}
